	game = {}

function quit()
	
	if love.keyboard.isDown('escape') then 
	love.event.quit() 
	end
end

	function CheckCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)

  	local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  	return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
	end
	
	require "ship"
	require "foe"
	require "menu"
	require "world"
	
function love.load()

	medium = love.graphics.newFont(20)

	gamestate = "menu"
	
	title = love.graphics.newImage ('shmuppics/title.png')
	
	kombatbgm = love.audio.newSource ( 'shmupbgm/spacekombat.ogg', "stream" )
	kombatbgm:setLooping( loop )
	
	riotbgm = love.audio.newSource ( 'shmupbgm/spaceriot.ogg', "stream" )

	button_spawn(600,400,"Campaign", "start")
	button_spawn(550,450,"Exit", "quit")
	
	game.load()
	player.load()
	foe.load()
	
	function shoot()
		
	end
end

function love.update(dt)

	mousex = love.mouse.getX()
	mousey = love.mouse.getY()

	if gamestate == "menu" then
	button_check()
	end

	meter = player.health

	love.audio.play ( kombatbgm )

	if love.keyboard.isDown('escape') then 
	love.event.quit() end

	left_collide()
	right_collide()
	top_collide()
	quit_running()

	game.update(dt)
	player.update(dt)
	foe.update(dt)
	
	end

	function love.draw()
	if gamestate == "menu" then
	love.graphics.draw(title, 0, 100)
	button_draw()
	end
	
	function love.mousepressed(x,y)
	if gamestate == "menu" then
	button_click(x,y)
	end
end

    game.draw()
	player.draw()
    foe.draw()
    
for i,v in ipairs(player.shots) do

        love.graphics.setColor(255,255,255)
        love.graphics.draw(v.img, v.x, v.y)
    end
end

function love.keypressed(key)

if key == "z" then
	player.keypressed("z")	
    end
    
if key == "x" then
	player.keypressed("x")
	end

end